Skip to main content
GET
/
tools
List Tools
curl --request GET \
  --url https://api.kejue.co/api/v1/tools \
  --header 'X-API-Key: <api-key>'
{
  "tools": [
    {
      "id": "<string>",
      "name": "<string>",
      "tool_type": "<string>",
      "timeout": 123,
      "retry_count": 123,
      "display_name": "<string>",
      "description": "<string>",
      "http_config": {},
      "parameters": {},
      "response_schema": {},
      "precomputable": false,
      "agent_reaction": "speaks",
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ],
  "total": 123
}

Authorizations

X-API-Key
string
header
required

Workspace API key (e.g. kej_live_...)

Query Parameters

limit
integer
default:100
Required range: x <= 500
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

List of tools.

tools
ToolResponse · object[]
required
total
integer
required